package com.yc.education.mapper;

import com.yc.education.model.Technology;
import com.yc.education.util.MyMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TechnologyMapper extends MyMapper<Technology> {
    /*查询所有*/
    List<Technology> selectAllTechnology(@Param("titleName") String titleName);

    /*查询单条记录*/
    Technology selectTechnologyById(int id);

    /*删除单条*/
    void deleteTechnologyById(int id);

    /*首页ICON查询*/
    List<Technology> iconTechnology();

    /*列表查询*/
    List<Technology> tTechnology ();
}